package service

import (
	"confrontation-training/global"
	"confrontation-training/models"
)

type QuestionService struct {
}

// FindQuestionById  查询问题
func (q *QuestionService) FindQuestionById(id uint8) (models.Question, int64) {
	var question models.Question
	count := global.Db.Where(" id = ?", id).First(&question).RowsAffected
	return question, count
}

func (q *QuestionService) CreateNewQuestion(param models.CreateQuestion) (models.Question, int64) {
	question := models.Question{
		NextQuestionId: param.NextQuestionId,
		QuestionType:   param.QuestionType,
		Question:       param.Question,
	}
	affected := global.Db.Create(&question).RowsAffected
	return question, affected
}
